Subject: bug#35358: texlive atomic install

From: Gabriel Hondet <[email-masked]>
Date: Sun, 21 Apr 2019 16:13:27 +0200

Hi Ricardo,

On Sun 21 Apr 2019 at 15:57 Ricardo Wurmus wrote:

> Can you tell us what packages you installed?

Sure, from a manifest:

    "texlive-latex-base"
    "texlive-latex-xcolor"
    "texlive-latex-wrapfig"
    "texlive-latex-titlesec"
    "texlive-latex-tools"
    "texlive-latex-tabulary"
    "texlive-latex-subfigure"
    "texlive-latex-polyglossia"
    "texlive-latex-pgf"
    "texlive-latex-pdfx"
    "texlive-latex-pdfpages"
    "texlive-latex-natbib"
    "texlive-latex-multirow"
    "texlive-latex-listings"
    "texlive-latex-hyperref"
    "texlive-latex-graphics"
    "texlive-latex-geometry"
    "texlive-latex-fontspec"
    "texlive-latex-fncychap"
    "texlive-latex-float"
    "texlive-latex-fancyhdr"
    "texlive-latex-doi"
    "texlive-latex-colortbl"
    "texlive-latex-beamer"
    "texlive-latex-babel"
    "texlive-latex-appendix"
    "texlive-latex-amsmath"
    "texlive-latex-amsfonts"
    "texlive-latex-acronym"
    "texlive-generic-ulem"
    "texlive-generic-pdftex"
    "texlive-generic-hyph-utf8"
    "texlive-generic-babel-english"
    "texlive-dvips"
    "texlive-context-base"
    "texlive-bin"
    "texlive-bibtex"
    "texlive-base"

plus some 'texlive-fonts-'.

I'm don't know much about texlive file architecture, but it seems that
it is the mktexlsr command that set the path of 'kpsewhich'.  If I
perform a 'guix package -m the-manifest.scm', the path seems well set,
but I don't have the 'mktexlsr.pl' file anymore in my profile (it exists
in
/gnu/store/[...]-texlive-texmf-20180414/share/texmf-dist/scripts/texlive/mktexlsr.pl
though).  If I run 'mktexlsr', the path returned by kpsewhich becomes
/gnu/store.  I hope that helps somehow.

Gabriel